Xenodia Docs
API ReferenceGenerated Reference

Retrieve async task

Polls a normalized Xenodia async task by ID.

GET
/v1/tasks/{taskId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

taskId*string

Xenodia task ID returned by an async request.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.xenodia.xyz/v1/tasks/string"
{
  "task_id": "string",
  "object": "task",
  "request_id": "string",
  "model": "string",
  "type": "image",
  "state": "waiting",
  "request": {},
  "result": {},
  "error": {},
  "progress": 0,
  "poll_url": "string",
  "webhook_delivery": {},
  "capability_slug": "string",
  "capability_version": "string",
  "recommended_poll_interval_ms": 0,
  "eta_hint_seconds": 0,
  "billing": {},
  "created_at": 0,
  "updated_at": 0,
  "completed_at": 0
}
{
  "error": "bad_request",
  "message": "string",
  "type": "string",
  "code": "string"
}
{
  "error": "bad_request",
  "message": "string",
  "type": "string",
  "code": "string"
}
{
  "error": "bad_request",
  "message": "string",
  "type": "string",
  "code": "string"
}
{
  "error": "bad_request",
  "message": "string",
  "type": "string",
  "code": "string"
}